> For the complete documentation index, see [llms.txt](https://offerslook-api.gitbook.io/api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/tasks/create_a_new_task_for_offer.md).

# Create new task for offers

| HTTP method | Endpoint                          |
| ----------- | --------------------------------- |
| **POST**    | **/v1/offers/{offer\_ids}/tasks** |

## Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter | Description                  |
| --------- | ---------------------------- |
| offer\_id | The unique id for the offer. |

**Note:The limit of bulk adjustment is 20 offers.**

## Request body parameters <a href="#request-body-parameters" id="request-body-parameters"></a>

| Field          | Type    | Description                                                                                                      | Nullable |
| -------------- | ------- | ---------------------------------------------------------------------------------------------------------------- | -------- |
| user\_id       | integer | Founder ID (manager ID).                                                                                         | No       |
| modify\_status | string  | Set task for status: offer active or paused.***(Note: if status's offer is deleted, it is unable to set task)*** | No       |
| execute\_time  | string  | execution time. ***Time format: yyyy-MM-dd HH:00:00 (punctual time)***                                           | No       |

## Response body parameters <a href="#response-body-parameters" id="response-body-parameters"></a>

| Field            | Type    | Description                                     |
| ---------------- | ------- | ----------------------------------------------- |
| id               | integer |                                                 |
| offer\_id        | integer | A string that uniquely identifies this offer.   |
| user\_id         | integer | Founder ID (manager ID).                        |
| modify\_status   | string  | Set status for task: active or paused           |
| execute\_time    | string  | Execution time.                                 |
| create\_time     | string  | Creation time.                                  |
| update\_time     | string  | update time.                                    |
| complete\_status | integer | Complete status： 0: uncompleted ;  1: completed |

## Example request <a href="#example-request" id="example-request"></a>

**Request POST** <https://{networkname}.api.offerslook.com/v1/offers/3147,4321/tasks>

**Request POST** <http://{networkname}.api.offerslook.com/v1/offers/3147,4321/tasks>

```
    {
      "modify_status": "active",
      "execute_time": "2017-05-12 10:00:00",
      "user_id": 1
    }
```

## Example response <a href="#example-response" id="example-response"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "offer_task": [
          {
            "id": 169,
            "offer_id": 3147,
            "user_id": 1,
            "complete_status": 0,
            "create_time": "2016-11-29 10:39:07",
            "update_time": null,
            "execute_time": "2017-05-12 10:00:00",
            "modify_status": "active"
          },
          {
            "id": 170,
            "offer_id": 4321,
            "user_id": 1,
            "complete_status": 0,
            "create_time": "2016-11-29 10:39:07",
            "update_time": null,
            "execute_time": "2017-05-12 10:00:00",
            "modify_status": "active"
          }
        ]
      }
    }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/offers/sub-resources/tasks/create_a_new_task_for_offer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
